Announcement Announcement Module
Collapse
No announcement yet.
greenpages.jpa at version '2.0.0' unresolved? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • greenpages.jpa at version '2.0.0' unresolved?

    Hi,

    Working through the 'Creating an application with dm Server' example and am getting the following error:

    [2010-01-10 14:57:23.790] fs-watcher <SPDE0018E> Unable to install application from location 'file:/Users/Garry/Applications/springsource-dm-server/springsource-dm-server-ee-1.0.2.RELEASE/pickup/greenpages-solution-2.0.0.RELEASE.par'. Could not satisfy constraints for bundle 'greenpages.jpa' at version '2.0.0'.
    Import-Bundle with symbolic name 'com.springsource.org.eclipse.persistence' in version range '[1.0.0, 1.0.0]' could not be satisfied.

    I see a couple related JIRAs, DMS-761 and DMS-1228, but no explanation of how to fix the problem. Ideas?

    Thanks, Garry

  • #2
    Garry,
    The "getting started guide", now called "Creating an application with dm Server", which uses the greenpages sample, is tracking dm Server 2.0.0, currently at release candidate 1 (2.0.0.RC1). Your message, however, seems to be being produced by dm Server 1.0.2.

    I don't think the version of greenpages and the guide will function as described with dm Server 1.0.2.

    I hope you didn't get the wrong version information from the getting started guide. Can you enter here the version information you have on the front page of the guide? It should list the versions of the software it is written for.

    Thanks,
    Steve Powell

    PS: The getting started guide is being updated as we 'speak', to bring it in line with the current level of dm Server.
    Last edited by Steve Powell; Jan 11th, 2010, 09:26 AM. Reason: Added a PS.

    Comment


    • #3
      Hi Steve,

      Ok, thanks, I somehow managed to download the wrong version (springsource-dm-server-ee-1.0.2.RELEASE) which I must have grabbed independently of your document which does, in fact, reference the 2.0.0.M3 release:
      Creating an application with dm Server
      GreenPages: a demonstration

      This version of the guide is based on the following software versions: dm Server 2.0.0.M3 GreenPages 2.0.0.RELEASE SpringSource Tools Suite 2.1.0.RC1 Apache Maven 2.0.9
      Let me try again, this time actually following the instructions ...

      Garry

      Comment

      Working...
      X